Subject: [dnsext] [Errata Held for Document Update] RFC4343 (5112)

From: RFC Errata System <[email-masked]>
Date: Wed, 13 Sep 2017 07:42:15 -0700 (PDT)

The following errata report has been held for document update 
for RFC4343, "Domain Name System (DNS) Case Insensitivity Clarification". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5112

--------------------------------------
Status: Held for Document Update
Type: Editorial

Reported by: Change "should" to must in section 3.(no subsection) <[email-masked]>
Date Reported: 2017-09-12
Held by: Warren Kumari (IESG)

Section: 3

Original Text
-------------
comparisons on name lookup for DNS queries should be case insensitive

Corrected Text
--------------
comparisons on name lookup for DNS queries must be case insensitive

Notes
-----
--- Original report ---
Some authoritative DNS servers and/or mitigation devices/software silently drop queries that have uppercase letters in them.  Furthermore, the clarification of the case insensitive comparison in the following two sentences after that particular sentence use the term MUST.  I suspect some readers of the RFC are reading the word "should" and aren't reading the rest of the paragraph.

---- WK Update ----
The full quote is: "According to the original DNS design decision, comparisons on name
   lookup for DNS queries should be case insensitive [STD13]. ", and the title of this (RFC4343) is "Domain Name System (DNS) Case Insensitivity Clarification" -- seeing as the whole point of this document is to clarify the original spec, I think that readers will read the RFC2119 bits.

However, I do agree that this could be better worded, and future updates of this document should probably reword this to make it clearer. 

--------------------------------------
RFC4343 (draft-ietf-dnsext-insensitive-06)
--------------------------------------
Title               : Domain Name System (DNS) Case Insensitivity Clarification
Publication Date    : January 2006
Author(s)           : D. Eastlake 3rd
Category            : PROPOSED STANDARD
Source              : DNS Extensions
Area                : Internet
Stream              : IETF
Verifying Party     : IESG